   if Assigned(westraDataPumpFileThr) then
    begin
{$IFDEF DEBUG}
     WriteLn ('Ukoncuji sluzbu WESTRA DataPump File...');
{$ENDIF}
     datMod.LogInfo (Quick.Logger.etInfo, 'Ukoncuji sluzbu WESTRA DataPump File...');
     try
       westraDataPumpFileThr.ThreadTerminate;
       FreeAndNil (westraDataPumpFileThr);
      except on E:Exception do
// add event in eventlog with reason why the service couldn't stop
       LogMessage('Cannot stop service: ' + E.Message, EVENTLOG_ERROR_TYPE, 0, 1);
     end;
     datMod.LogInfo (Quick.Logger.etInfo, '  OK');
{$IFDEF DEBUG}
     WriteLn ('  OK');
{$ENDIF}
    end;
